From: Thomas Monjalon <thomas@monjalon.net>
To: dev@dpdk.org
Cc: stable@dpdk.org, Yuanhan Liu <yliu@fridaylinux.org>
Subject: [PATCH 1/2] devtools: fix check of multiple commits fixed at once
Date: Tue, 18 Apr 2023 16:07:25 +0200 [thread overview]
Message-ID: <20230418140726.1472209-2-thomas@monjalon.net> (raw)
In-Reply-To: <20230418140726.1472209-1-thomas@monjalon.net>
When looking for fixes to backport,
only the first origin commit hash (from "Fixes:") was checked.
There is very little chance that the next commits being fixed
have a wrong hash in the commit log of the fix,
but it is fixed by checking them all before proceeding further.
Fixes: 752d8e097ec1 ("scripts: show fixes with release version of bug")
Cc: stable@dpdk.org
Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
devtools/git-log-fixes.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 8a4a8470c2..4690dd4545 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -68,7 +68,7 @@ origin_version () # <origin_hash> ...
{
for origin in $* ; do
# check hash is valid
- git rev-parse -q --verify $1 >&- || continue
+ git rev-parse -q --verify $origin >&- || continue
# get version of this bug origin
local origver=$(commit_version $origin)
local roothashes="$(origin_filter $origin)"
--
2.40.0
next prev parent reply other threads:[~2023-04-18 14:07 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-18 14:07 [PATCH 0/2] minor changes in script used for backports Thomas Monjalon
2023-04-18 14:07 ` Thomas Monjalon [this message]
2023-11-28 14:15 ` [PATCH 1/2] devtools: fix check of multiple commits fixed at once Luca Boccassi
2024-10-09 9:17 ` Kevin Traynor
2023-04-18 14:07 ` [PATCH 2/2] devtools: deduplicate function to mark fixes Thomas Monjalon
2023-11-28 14:14 ` Luca Boccassi
2024-10-09 9:17 ` Kevin Traynor
2023-11-28 13:23 ` [PATCH 0/2] minor changes in script used for backports Thomas Monjalon
2024-11-30 22:04 ` Thomas Monjalon
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230418140726.1472209-2-thomas@monjalon.net \
--to=thomas@monjalon.net \
--cc=dev@dpdk.org \
--cc=stable@dpdk.org \
--cc=yliu@fridaylinux.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).